List

View as Markdown

Returns a list of your cXML Applications. The applications are returned sorted by creation date, with the most recent appearing first.

Path parameters

AccountSidstringRequiredformat: "uuid"
The unique identifier for the account this script is associated with.

Query parameters

NamestringOptional
A friendly name given to the cXML script.
PageintegerOptionalDefaults to 0
The page number to retrieve. Default is 0.
PageSizeintegerOptional1-1000Defaults to 50
The number of items per page. Default is 50, maximum is 1000.
PageTokenstringOptional
The token for cursor-based pagination. Must start with 'PA' or 'PB'.

Response

uristringRequired
The URI of the current page.
first_page_uristringRequired
The URI of the first page.
next_page_uristring or nullRequired
The URI of the next page, or null if there are no more pages.
previous_page_uristring or nullRequired
The URI of the previous page, or null if this is the first page.
pageintegerRequired
The current page number.
page_sizeintegerRequired
The number of items per page.
laml_binslist of objectsRequired
List of cXML scripts.
Response
1{
2 "uri": "/api/laml/2010-04-01/Accounts/b3877c40-da60-4998-90ad-b792e98472af/LamlBins?Page=0&PageSize=50",
3 "first_page_uri": "/api/laml/2010-04-01/Accounts/b3877c40-da60-4998-90ad-b792e98472af/LamlBins?Page=0&PageSize=50",
4 "next_page_uri": "/api/laml/2010-04-01/Accounts/b3877c40-da60-4998-90ad-b792e98472af/LamlBins?Page=1&PageSize=50&PageToken=PAb3877c40da604998",
5 "previous_page_uri": "string",
6 "page": 0,
7 "page_size": 50,
8 "laml_bins": [
9 {
10 "sid": "5184b831-184f-4209-872d-ccdccc80f2f1",
11 "date_created": "2019-11-26T20:00:00Z",
12 "date_updated": "2019-11-26T20:00:00Z",
13 "date_last_accessed": "2020-06-05T20:00:00Z",
14 "account_sid": "b3877c40-da60-4998-90ad-b792e98472af",
15 "name": "Death Star IVR",
16 "contents": "<Response><Say>Hello!</Say></Response>",
17 "request_url": "https://example.signalwire.com/laml-bins/5184b831-184f-4209-872d-ccdccc80f2f1",
18 "num_requests": 42,
19 "api_version": "2010-04-01",
20 "uri": "/api/laml/2010-04-01/Accounts/b3877c40-da60-4998-90ad-b792e98472af/LamlBins/5184b831-184f-4209-872d-ccdccc80f2f1"
21 }
22 ]
23}

Example

GET
/api/laml/2010-04-01/Accounts/:AccountSid/LamlBins
1curl https://your_space.signalwire.com/api/laml/2010-04-01/Accounts/AccountSid/LamlBins \
2 -u "<project_id>:<api_token>"